Page MenuHomePhabricator

Translation issues on Events and Outreach Dashboard
Open, NormalPublic

Description

Good morning, I come here with reference to the translation of the Dashboard, see here. I did not manage to translate the title of the page, so it remains in English despite my having translated everything in the translation page. Is there any way to work around that?

Also, next to the title is the summary box, with its link tags in English remaining there, I do not know how to have them translated to Basque.

I find on the same page as well that I cannot translate the last question ("How do I delete my program?"), because the source segment does not show on the translation page. Any way around that? Thank you!

Iñaki

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Kaganer added a comment.EditedNov 10 2017, 7:57 PM

Page https://meta.wikimedia.org/wiki/Programs_%26_Events_Dashboard/Frequently_Asked_Questions is updated and marked for translation .
In future, you may use {{Ping|kaganer}} template "in-wiki" for call me to resolve any problems with translatable pages.

The first (and slowest) step doesn't require a translation admin. Any editor can do it. Add tags around each section/paragraph that you want to translate, similar to https://meta.wikimedia.org/w/index.php?title=Training_modules%2Fdashboard%2Fslides%2F10301-policies-and-guidelines-basic-overview&type=revision&diff=17409931&oldid=17408443 Some people prefer to mark multiple paragraphs as a single section; that's usually okay, too.

The part that requires a translation admin is only clicking a button after all of this work is done. (I've already done that for this one page.)

That's done with nearly all the slides. I think the "legal" ones are missing, but all the other blocks have been marked.

I've marked the first group at https://meta.wikimedia.org/wiki/Training_modules/dashboard/slides#Editing

There's some complex formatting and templates in there, so would you mind translating this batch, and then pinging me on wiki or leaving a note on my talk page to let me know if they're all working/displaying correctly when translated?

Kaganer added a comment.EditedNov 11 2017, 12:46 AM

That's done with nearly all the slides. I think the "legal" ones are missing, but all the other blocks have been marked.

Language list
Please note: will be better to add

<noinclude><languages/></noinclude>

into first row each slides. (If this does not controverse their future use)

See https://meta.wikimedia.org/wiki/Training_modules/dashboard/slides/10322-notability-quiz-revisited as example.

Localized media
Please also note this change.

With using https://meta.wikimedia.org/w/index.php?title=Template:Localized media -
{{lm}} - substituting localized screenshots, video etc. will be more easy and clear.

See template documentation for detail.

I think this steps should be supervised by @Ragesoss

Page https://meta.wikimedia.org/wiki/Programs_%26_Events_Dashboard/Frequently_Asked_Questions is updated and marked for translation .
In future, you may use {{Ping|kaganer}} template "in-wiki" for call me to resolve any problems with translatable pages.

@Inaki-LL @Theklan I can help with translation administration stuff on Meta, although I'm currently busy and may not be as quick as I'd desire. @Base and @Kaganer are also experienced translation administrators there who can help you as well. They have more clue about the inners of the translation system than me :)
I see that https://meta.wikimedia.org/wiki/Template:Programs_and_events_dashboard/Nav is already marked as translatable and is translated to Euskara as well.
Is the problem you report still there?
Happy to help if I can.

That is appreciated MarcoAurelio!

Page https://meta.wikimedia.org/wiki/Programs_%26_Events_Dashboard/Frequently_Asked_Questions is updated and marked for translation .
In future, you may use {{Ping|kaganer}} template "in-wiki" for call me to resolve any problems with translatable pages.

Great @Kaganer, that is appreciated!

Thanks for looking into this, @Kaganer and @Whatamidoing-WMF. All Editing Essentials seems to be up and ready, but not Editing basics. I wonder if there is any way to mark all slides more straightforward, as the way put forward by Kaganer has codes in just about all paragraphs.

Whatamidoing-WMF added a comment.EditedNov 14 2017, 10:50 PM

I marked the "Editing Basics" section. Note that a couple of the pages (e.g., https://meta.wikimedia.org/wiki/Training_modules/dashboard/slides/10805-edit-vs-edit-source ) are very English-Wikipedia-centric (e.g., it's one of the few wikis that have the Single Edit Tab feature on by default). Please remind translators to adapt the material to the relevant language/wiki. The goal is to maximize utility rather than to precisely translate something that was written for a different situation.

Thanks

I marked the "Editing Basics" section. Note that a couple of the pages (e.g., https://meta.wikimedia.org/wiki/Training_modules/dashboard/slides/10805-edit-vs-edit-source ) are very English-Wikipedia-centric (e.g., it's one of the few wikis that have the Single Edit Tab feature on by default). Please remind translators to adapt the material to the relevant language/wiki. The goal is to maximize utility rather than to precisely translate something that was written for a different situation.

@Whatamidoing-WMF, thank you for that. Another point ahead is about the use of Translatewiki. I have phrases and words repeating a number of times, and it undermines the outcome not to have the exact phrases/words previously used, that may lead to different words for same source text words despite the effort. Is there anyway to make Translatewiki available for the next slides instead of translating in Meta?

I don't think so, but @Amire80 is far better placed to answer questions about TWN than I.

Kaganer added a comment.EditedNov 17 2017, 4:43 PM

Also your slides may be grouped into manual "aggregate groups", for more useful translating every group as single page.
This also may be doing tranlation admins.

See as example:

And direct link to translation whole group: https://meta.wikimedia.org/w/index.php?title=Special:Translate&group=agg-Training_modules%3A_Wikipedia_Essentials&language=eu&action=page&filter=

Kaganer added a comment.EditedNov 17 2017, 5:12 PM

Another point ahead is about the use of Translatewiki. I have phrases and words repeating a number of times, and it undermines the outcome not to have the exact phrases/words previously used, that may lead to different words for same source text words despite the effort. Is there anyway to make Translatewiki available for the next slides instead of translating in Meta?

In this time no useful way for "glossary support" in Translate extension.

One from common ways in Meta for this (or similar) task - extracting all these words and phrases into translatable template, and call separate items through {{TCT}}. See template documentation. Known limitation - these phrases should be used in an unchanged form.

Another experimental way - also create that template with «common phrases», but using named translation items (instead numbered) and calling them directly through {{int:}} magic word or through Lua module (see Module:Wikimedia_Resource_Center for this example). This is controversal way (in my opinion), and not fully compatible with Translation Extension features.

Inaki-LL added a comment.EditedNov 17 2017, 5:34 PM

Appreciated Kaganer, it helps keep coherence of text. Sometimes it is still a bit of a hassle to find back the group link

Can translated templates be uploaded to the Dashboard, @Ragesoss?

@Theklan I'm not sure what you mean. Is there a specific training slide you're trying to make work?

Hi @Ragesoss. Yes, everything translated from the slides should work on the translated language, isn't it? A bunch of slides are now translated into Basque.

@Theklan you mean you want to update the dashboard to make the new translations live? You can do that for each module you want to refresh. See https://meta.wikimedia.org/wiki/Training_modules/Documentation#Updating_the_dashboard

And which is the module-slug for the basics and the editing Wikipedia in Basque language?

@Theklan it's the last part of the url for the start page of each module. For example, https://outreachdashboard.wmflabs.org/training/editing-wikipedia/editing-basics -> editing-basics

Kaganer added a comment.EditedNov 22 2017, 2:36 AM

Hmm. Occurs some bug in dashboard in interaction with translatable slides. See T181132

@Ragesoss tried to update https://outreachdashboard.wmflabs.org/reload_trainings?module=editing-basics, and a "Done!" message appeared. But there's no basque translation there!

Yes, that's right... but titles are still in English!

Ah, you mean the 'Training Library -> Editing Basics' part (and/or the title of the browser tab). That doesn't have i18n support yet.

And would it be possible to have it? Because it's quite a nonsense translating all the content if the menu and titles are not translated.

The dashboard also seems to be unable to parse MediaWiki messages. Sage, please have a look at https://outreachdashboard.wmflabs.org/training/editing-wikipedia/editing-basics/edit-vs-edit-source

@Whatamidoing-WMF It only pulls in the source wikitext, not the rendered HTML of the page, so things like {{int:}} and any other magic words or templates will not work.

So, can someone say what is the correct way for i18n this?

@Theklan in this case, [https://meta.wikimedia.org/w/index.php?title=Training_modules/dashboard/slides/10805-edit-vs-edit-source&diff=17424467&oldid=17299774 this edit] will need to be undone, and then you can translate the names of the Edit tabs normally.

This edit was the suggestion to do this right done by @Whatamidoing-WMF...

That would be the typical way to do Meta translations, but the dashboard training module translation is more limited.

For making things clear: we are a user group who wants this software in our language. Localization is quite a nightmare and we have @Inaki-LL doing this work, but the backend of how translations work can't be solved by us. The process is being quite frustrating, as we are taking too much time to get things right... and students need this in their language.

So, could it be possible to get some help with this and leave for us only the translation thing?

Thanks!

@Theklan I think Basque is the first language to try to fully translate these and use them with students, so unfortunately there's no easy way to work out all the problems ahead of time.

But your work should make it much easier for others!

Of course... and I'm glad to invest some of my time in this... maybe this is a message more for @VMasrour-WMF than for you and me. Is there a way in which WMF could help with this issue, please?

Macro please-explain:

Hi @Theklan I see that the localization for the dashboard is different from Meta translations and causing frustration. I'm sorry to hear that! I also see that you are the first language group to attempt a fully localized experience, not just the core text but also titles/breadcrumbs, etc.

I think @Ragesoss address the main issue of how to translate (in this specific instance) that is counter to the usual way:

@Theklan in this case, [https://meta.wikimedia.org/w/index.php?title=Training_modules/dashboard/slides/10805-edit-vs-edit-source&diff=17424467&oldid=17299774 this edit] will need to be undone, and then you can translate the names of the Edit tabs normally.

Will that work for now? I want to make sure you are able to proceed on your end, even if it's not ideal. We can work on fixing any documentation so others know how to approach complete localization as well. Is there still an unresolved issue that we can try to help with?

Hi @TFlanagan-WMF! Well... really I don't know what we have to do, in one direction or the other. Our main concern was where and how to translate, but items were heavily changed by @Whatamidoing-WMF. I don't have (good) experience with Meta translating, yes with translatewiki.

@Theklan I don't have any translation experience to use here, but it sounds like the page has elements that need to be removed or reverted (the {{int:}} template, for instance). I don't know if this breaks the translation or not?

@Whatamidoing-WMF Do you have any thoughts based on the guidelines Sage shared? This seems to not be a normal translation scenario in terms of wiki markup.

Whatamidoing-WMF added a comment.EditedNov 30 2017, 6:06 AM

I've removed the translation variables. The translations will need to be updated.

Also, if you're expecting the students to edit at the Basque Wikipedia, then the instructions about enabling two tabs are wrong (irrelevant). Euwiki has no alternative to two tabs at this time, because http://mediawiki.org/wiki/VisualEditor/Single_edit_tab has not been deployed there. You could just leave that part out, unless you expect the students to also edit the English Wikipedia or some of the non-Wikipedia projects.

Please note, that using {{Training module image}} template for illustration (as in
this slide don't able supporting localized images in Commons.

These same notice for {{Training module video}}

I don't know details for code parsing with transferring and implementiong translations in the Dashboard, but if using {{LM}} is possible in this case, this is should be doing.

Kaganer added a comment.EditedNov 30 2017, 1:20 PM

I am also updated many slides from first two groups:

  • Wikipedia Essentials (Slide ids: 103XX)
  • Editing Basics (Slide ids: 108XX)

In the «Editing Basics» some captions for images, buttons and videos was lost (not included in translation units). Also added language bar for each slide.

Please check your translations again - through aggregate groups, if this is more useful: Editing Basics (Slide ids: 108XX)

Inaki-LL added a subscriber: WhatamIdoing.EditedDec 1 2017, 10:18 AM

@Ragesoss @WhatamIdoing @Kaganer Hi everyone, whenever I am trying to see the last outcome (outreachdasboard) after I change something in Meta (editing basics), it does not refresh automatically, which makes all the proofreading tedious really. Is there any way to refresh immediately, like a Wikipedia page?

@Inaki-LL at this point, the only way is to do use the 'reload_modules' url. At some point I'd like to add a refresh button on the slides themselves (along with links to the meta page for each one).

I am also updated many slides from first two groups:

  • Wikipedia Essentials (Slide ids: 103XX)
  • Editing Basics (Slide ids: 108XX)

In the «Editing Basics» some captions for images, butoons and videos was lost (not included in translation units). Also added language bar for each slide.
Please check your translations again - through aggregate groups, if this is more useful: Editing Basics (Slide ids: 108XX)

@Kaganer, actually I checked the last version, strings ($) did not translate into a link, but just " ", so I removed the $. I added the corresponding translation text, at least for the printed version. For example, here, I added the translated text "Aldatu iturburu kodea" instead of the $ link.

Here the first link leads nowhere, as you had pointed. Video captions are shown without translation. If no solution is coming, we only can adapt the text for a hard copy. Regards

@Inaki-LL at this point, the only way is to do use the 'reload_modules' url. At some point I'd like to add a refresh button on the slides themselves (along with links to the meta page for each one).

@Ragesoss Do you mean this? https://outreachdashboard.wmflabs.org/reload_trainings?module=editing-basics I do not get any valid result (this was cited above by Theklan). Other than this, I do not know where it is

@Inaki-LL at this point, the only way is to do use the 'reload_modules' url. At some point I'd like to add a refresh button on the slides themselves (along with links to the meta page for each one).

@Ragesoss Do you mean this? https://outreachdashboard.wmflabs.org/reload_trainings?module=editing-basics I do not get any valid result (this was cited above by Theklan). Other than this, I do not know where it is

Yes, that.

The {{lm}} template isn't going to work. I just changed it to put the image in directly without the template (but it's not marked for translation yet).

@Ragesoss Sorry what image are you talking about?

Inaki-LL added a comment.EditedDec 1 2017, 7:01 PM

So back to reload-modules, the above example ( https://outreachdashboard.wmflabs.org/reload_trainings?module=editing-basics) does not work as you can verify yourself, is it possible you fix that?

Our goal is to localize these images. Should we upload one to Commons then copy the syntax of the URL above changing eu# and File:?

Ragesoss added a comment.EditedDec 1 2017, 7:04 PM

@Inaki-LL yes, you should upload one to Commons and use that file in place of the English one.

Kaganer added a comment.EditedDec 5 2017, 1:05 PM

Our goal is to localize these images. Should we upload one to Commons then copy the syntax of the URL above changing eu# and File:?

As example:

  1. Source English illustraton - File:VisualEditor_read_edit_source_edit_view_history.png
  2. Your llocalized illustraton should be uploaded into Commons and named as "File:VisualEditor_read_edit_source_edit_view_history_eu.png" (your langcode after space)

Then localized file will be substituted in the translated slide automatically, by langcode mathing. This is magic ;)

Also there is additional category for your localized scrennshots of VisualEditor - Category:VisualEditor-eu

@Ragesoss, i am see some bugs due incorrect parsing wiki-code in a dashboard pages. As example, see
T182092

Our goal is to localize these images. Should we upload one to Commons then copy the syntax of the URL above changing eu# and File:?

As example:

  1. Source English illustraton - File:VisualEditor_read_edit_source_edit_view_history.png
  2. Your llocalized illustraton should be uploaded into Commons and named as "File:VisualEditor_read_edit_source_edit_view_history_eu.png" (your langcode after space)

Then localized file will be substituted in the translated slide automatically, by langcode mathing. This is magic ;)
Also there is additional category for your localized scrennshots of VisualEditor - Category:VisualEditor-eu

Thanks for the tip @Kaganer . Is there any way I can find the English language image easily in Commons, e.g. this capture

Also, I cannot see the full translated outcome for the whole series, for example this text. As told in other posts, video captions are also in English.

We are a bit late with this, and next I need to download the whole thing, but

Thanks for the tip @Kaganer . Is there any way I can find the English language image easily in Commons, e.g. this capture

See html-code:

Name of image is "VisualEditor_toolbar_isolated-en.png" >> https://commons.wikimedia.org/wiki/File:VisualEditor_toolbar_isolated-en.png

Please note: this image already contains the language code, and it is specified not through a space, but through a hyphen (This is an alternative method supported by the template {{lm}}). Your localized file should be named "File:VisualEditor_toolbar_isolated-eu.png".

Also, I cannot see the full translated outcome for the whole series, for example this text. As told in other posts, video captions are also in English.

See https://meta.wikimedia.org/wiki/User:Iñaki_LL/Slides-eu

...As told in other posts, video captions are also in English.

This video hosted in the YouTube. Its source available in Commons, see https://commons.wikimedia.org/wiki/File:Wikipedia_basics_-_Talk_pages.ogv or https://commons.wikimedia.org/wiki/File:Editing_basics_-_Talk_pages.webm. This link (to .webm version) was provided in meta-page - see https://meta.wikimedia.org/wiki/Training_modules/dashboard/slides/10818-video-talk-pages and click "Enlarge" button:

Since you told me to add spacing before the language code, that is what I did, but then you have added that it should be a dash. Still it does not allow me to change the name in Commons, because it assimilates dash to space, see / try here.

...As told in other posts, video captions are also in English.


This video hosted in the YouTube. Its source available in Commons, see https://commons.wikimedia.org/wiki/File:Wikipedia_basics_-_Talk_pages.ogv or https://commons.wikimedia.org/wiki/File:Editing_basics_-_Talk_pages.webm. This link (to .webm version) was provided in meta-page - see https://meta.wikimedia.org/wiki/Training_modules/dashboard/slides/10818-video-talk-pages and click "Enlarge" button:

For the time being we are not translating subtitles, but I was rather pointing to the outer print on the top left hand side of the video screen, like "Wikipedia editing basics: talk pages" here.

The {{lm}} template isn't going to work. I just changed it to put the image in directly without the template (but it's not marked for translation yet).

@Ragesoss , i'm sorry, i missed your explanation! This is sad :-( Maybe you may support any way for "transparency" localization?

@Inaki-LL, my explanation about substituting localized images related only to the wiki, but not to the dashboard. I'm sorry! Currently to the Dashboard transferred image url from "source" field in the template {{Training module image}}:

Kaganer added a comment.EditedDec 5 2017, 5:20 PM

@Kaganer, actually I checked the last version, strings ($) did not translate into a link, but just " ", so I removed the $. I added the corresponding translation text, at least for the printed version. For example, here, I added the translated text "Aldatu iturburu kodea" instead of the $ link.

@Inaki-LL - this was fixed (replaced to plaintext); the cause of the problem is not $-string, but using unsupported {{int:}} prefix (see above);

Here the first link leads nowhere, as you had pointed. Video captions are shown without translation. If no solution is coming, we only can adapt the text for a hard copy. Regards

@Inaki-LL - First link is fixed (but wihout substitution localized version in Dashboard; see above). Video also may be localized, but these same problem with substitution localized version. We are waiting answer from @Ragesoss .

Kaganer added a comment.EditedDec 5 2017, 5:23 PM

Since you told me to add spacing before the language code, that is what I did, but then you have added that it should be a dash. Still it does not allow me to change the name in Commons, because it assimilates dash to space, see / try here.

May be space or dash - this is depends from source filename formatting. This is chaotical ;)

File with dash are exist - see https://commons.wikimedia.org/wiki/File:VisualEditor_Toolbar_Formatting-eu.png.

..., but I was rather pointing to the outer print on the top left hand side of the video screen, like "Wikipedia editing basics: talk pages" here.

This is also from YouTube page.

The {{lm}} template isn't going to work. I just changed it to put the image in directly without the template (but it's not marked for translation yet).

@Ragesoss , i'm sorry, i missed your explanation! This is sad :-( Maybe you may support any way for "transparency" localization?
@Inaki-LL, my explanation about substituting localized images related only to the wiki, but not to the dashboard. I'm sorry! Currently to the Dashboard transferred image url from "source" field in the template {{Training module image}}:

@Kaganer So I undertstand I should add the localized image manually, is that right? In Meta, it is not possible to add anything, and on pages marked for translation, the image's syntax is nowhere to be found. Also some captions are not translated. I actually cannot work out where the caption comes from.

Kaganer added a comment.EditedDec 7 2017, 1:37 PM

Also some captions are not translated. I actually cannot work out where the caption comes from.

@Inaki-LL - you about "Test yourself!" ? This is part of https://meta.wikimedia.org/wiki/Template:Training_module_quiz, this caption was not included in the translation, since it is not supported by the Dashboard. I corrected the template and will include this title (it's just that everything looked beautiful on Meta). "Copyright and plagiarism" also was lost, and curently included into translation - please re-check.

Kaganer added a comment.EditedDec 7 2017, 1:42 PM

So I undertstand I should add the localized image manually, is that right? In Meta, it is not possible to add anything, and on pages marked for translation, the image's syntax is nowhere to be found.

@Inaki-LL - About localized image/video situation is sad. Currently you may create localized versions with language suffixes and check substitution on Meta only. No simple way for view this in the Dashboard. We wait some solution from @Ragesoss about this issue (see my questions above and comment in the T182092).

Also some captions are not translated. I actually cannot work out where the caption comes from.

@Inaki-LL - you about "Test yourself!" ? This is part of https://meta.wikimedia.org/wiki/Template:Training_module_quiz, this caption was not included in the translation, since it is not supported by the Dashboard. I corrected the template and will include this title (it's just that everything looked beautiful on Meta). "Copyright and plagiarism" also was lost, and curently included into translation - please re-check.

Good morning! (Here) "Copyright and plagiarism" shows up normally here, is that what you are talking about?

So I undertstand I should add the localized image manually, is that right? In Meta, it is not possible to add anything, and on pages marked for translation, the image's syntax is nowhere to be found.

@Inaki-LL - About localized image/video situation is sad. Currently you may create localized versions with language suffixes and check substitution on Meta only. No simple way for view this in the Dashboard. We wait some solution from @Ragesoss about this issue (see my questions above and comment in the T182092).

: Where shall I add the language extension? Before the format extension? (-eu.webm) (See example here) The original file is not marked for translation. Remember: we just want to translate the captions. Also, I understand it is stored on Meta, and not Commons. Regards

Another issue: in Editing basics, the section "Take control of the text!" shows a capture I need to change to localize (it goes, "[[boldness|bold]]"), find it here. I cannot work out where it is.

: Where shall I add the language extension? Before the format extension? (-eu.webm) (See example here) The original file is not marked for translation. Remember: we just want to translate the captions. Also, I understand it is stored on Meta, and not Commons. Regards

This file from Commons - see (1) in his description:

If your localization in the captions only, that you may use this link (2)

But I do not know whether they will automatically be substituted during playback, or will have to be selected manually.

Another issue: in Editing basics, the section "Take control of the text!" shows a capture I need to change to localize (it goes, "[[boldness|bold]]"), find it here. I cannot work out where it is.

Fixed, please check.

Inaki-LL added a comment.EditedDec 11 2017, 3:58 PM

Another issue: in Editing basics, the section "Take control of the text!" shows a capture I need to change to localize (it goes, "[[boldness|bold]]"), find it here. I cannot work out where it is.

Fixed, please check.

O! Maybe the link was not very precise. What I meant was that on the link provided there is a capture, which goes [[boldness|bold]], and I need to replace that with another capture of mine with the Basque example. Where can I find the original? (If it is in Commons)

Also, the links failed. See here more clearly. Even if I translate what seems to be a link text on a Meta translation segment, that is not brought over to the translated text in the link above. (There is a red link, another one links to English language "boldness", and the other seems to be right: w:eu:Letra lodi)

I'm sorry! Fixed again.

Great! Now yes, thanks

@Kaganer Good morning, I have a query on Translatewiki, about untranslated segments that do not need to translate, after adaptation, like in the Programas and Events Dashboard, see here. Is there any way to remove source segments to allow a saver outcome and a "translation completed" blue line at the end?

@Theklan you mean you want to update the dashboard to make the new translations live? You can do that for each module you want to refresh. See https://meta.wikimedia.org/wiki/Training_modules/Documentation#Updating_the_dashboard

@Rageoss @Kaganer, I completed the dashboard translation, still it does not refresh. I tried the above link but do not get results by replacing =module-slug with " Programs_%26_Events_Dashboard " (all the pages), evidently I am not doing sth right or there is a bug.

@Kaganer Good morning, I have a query on Translatewiki, about untranslated segments that do not need to translate, after adaptation, like in the Programas and Events Dashboard, see here. Is there any way to remove source segments to allow a saver outcome and a "translation completed" blue line at the end?

No way. But there is only 6 untranslated items? This a very small problem - just translate them...

@Rageoss @Kaganer, I completed the dashboard translation, still it does not refresh. I tried the above link but do not get results by replacing =module-slug with " Programs_%26_Events_Dashboard " (all the pages), evidently I am not doing sth right or there is a bug.

See correct links in the https://meta.wikimedia.org/wiki/Training_modules/dashboard/slides#Editing - as "(reload)"

But this is for slides only. Site interface should be updated by another way (i don't know this way). Maybe, this is doing automatically, after some time.

Theklan renamed this task from Page title untranslatable, remains in English to Translation issues on Events and Outreach Dashboard.Dec 13 2017, 5:47 PM

Where are this messages stored to localize them?

Where are this messages stored to localize them?

Translatewiki.net, eventually.

I just added a task for this: https://github.com/WikiEducationFoundation/WikiEduDashboard/issues/1549

For me the main issue is that despite tutorials are translated, their titles and menus aren't. Also there's a new menu in dutch there, that misleads users.

Kaganer added a comment.EditedJan 30 2018, 12:53 PM

@Ragesoss - what about supporting localized mediafiles without direct typing filename within each translations?
See T180101#3803668 and nearby.

Naming system with mask <source filename>_<langcode>.<ext> (or alternatively <source filename>-<langcode>.<ext>) is widely used and supported in-wiki through temalate {{LM}}.

@Kaganer: that's an interesting idea. It might (or might not) be easy to implement. Can you point me to some examples where that naming system is in use?

Theklan triaged this task as Normal priority.Jan 31 2018, 6:09 PM